"use strict";
(function ($) {
    $.view_list_service = function (element, options) {
        let defaults = {

        };
        let plugin = this;
        plugin.settings = {}
        let $element = $(element);
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('#example').DataTable({
                drawCallback: function () {
                    $element.find('input[type="checkbox"]').iCheck({
                        checkboxClass: 'icheckbox_square-red',
                        radioClass: 'iradio_square-red',
                        increaseArea: '10%'
                    });
                }
            });
            $element.find('input[type="checkbox"]').iCheck({
                checkboxClass: 'icheckbox_square-red',
                radioClass: 'iradio_square-red',
                increaseArea: '10%'
            });


        }
        plugin.example_function = function () {
        }
        plugin.init();
    }
    $.fn.view_list_service = function (options) {
        return this.each(function () {
            if (undefined == $(this).data('view_list_service')) {
                let plugin = new $.view_list_service(this, options);
                $(this).data('view_list_service', plugin);
            }
        });
    }
})(jQuery);
